
Redmine - Patch #37614

Cleanup app/models/repository/git.rb

2022-08-28 07:15 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

The attached patches improve the readability of app/models/repository/git.rb.

Associated revisions

Revision 21840 - 2022-09-25 06:56 - Go MAEDA

Fix RuboCop offense Rails/Blank (#37614).

Revision 21841 - 2022-09-25 06:57 - Go MAEDA

Fix RuboCop offense Style/SymbolProc (#37614).

Revision 21842 - 2022-09-25 06:58 - Go MAEDA

Fix RuboCop offense Style/IfUnlessModifier (#37614).

Revision 21843 - 2022-09-25 07:00 - Go MAEDA

Fix RuboCop offense Style/GuardClause (#37614).

Revision 21844 - 2022-09-25 07:07 - Go MAEDA

Use the safe navigation operator instead of checking if an object is nil (#37614).

Patch by Go MAEDA.

Revision 21845 - 2022-09-25 07:08 - Go MAEDA

Cleanup Repository::Git#clear_extra_info_of_changesets (#37614).

Patch by Go MAEDA.

Revision 21846 - 2022-09-25 07:22 - Go MAEDA

Regenerate .rubocop_todo.yml (#37614).

History

#1 - 2022-08-28 09:09 - Go MAEDA

- File 0006-Cleanup-Repository-Git-clear_extra_info_of_changeset.patch added

#2 - 2022-09-01 07:19 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2022-09-01 21:05 - Holger Just

The changes should all be equivalent to what's currently there.

As a tiny personal preference though, I'm not a huge fan of the explicit fetch in your 0005 patch. While it makes it make sit very explicit that we expect

a nil here (which I guess is why Rubocop recommends this) but it looks rather in-elegant and verbose, especially considering that we check for the nil

just one line below.

Apart from that, it looks good to me. If there is no simple way to shut up Rubocop about the explicit fetch, I would be fine with that too if it helps keep

the coding style consistent.
#4 - 2022-09-24 06:34 - Go MAEDA

Holger Just wrote:

As a tiny personal preference though, I'm not a huge fan of the explicit fetch in your 0005 patch. While it makes it make sit very explicit that we

expect a nil here (which I guess is why Rubocop recommends this) but it looks rather in-elegant and verbose, especially considering that we

check for the nil just one line below.

 Thank you for reviewing the patches. The point you made about report_last_commit method is right. I will commit the patches after removing the

change to the method.

#5 - 2022-09-25 07:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patches.

Files

0001-Fix-RuboCop-offense-Rails-Blank.patch 1.08 KB 2022-08-28 Go MAEDA

0002-Fix-RuboCop-offense-Style-SymbolProc.patch 1.73 KB 2022-08-28 Go MAEDA

0003-Fix-RuboCop-offense-Style-IfUnlessModifier.patch 1.57 KB 2022-08-28 Go MAEDA

0004-Fix-RuboCop-offense-Style-GuardClause.patch 924 Bytes 2022-08-28 Go MAEDA

0005-Use-the-safe-navigation-operator-instead-of-checking.patch 1.5 KB 2022-08-28 Go MAEDA

0006-Cleanup-Repository-Git-clear_extra_info_of_changeset.patch 857 Bytes 2022-08-28 Go MAEDA
